Skip to main content
GET
/
v2
/
schedules
/
{schedule_id}
/
sync_rules
List
curl --request GET \
  --url https://api.incident.io/v2/schedules/{schedule_id}/sync_rules \
  --header 'Authorization: Bearer <token>'
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "schedule_sync_rules": [
    {
      "created_at": "2021-08-17T13:28:57.801578Z",
      "id": "01JXYZ000000000000000000CD",
      "schedule_id": "01JXYZ000000000000000000EF",
      "schedule_sync_target": {
        "add_bot_to_group": true,
        "created_at": "2021-08-17T13:28:57.801578Z",
        "id": "01JXYZ000000000000000000AB",
        "linked_schedules": [
          {
            "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
            "name": "Primary On-Call Schedule",
            "team_ids": [
              "01JPQA75EPNEES4479P16P4XAB"
            ]
          }
        ],
        "slack_team_id": "T02A1AZHG3J",
        "slack_user_group_id": "S06MNNU5BMK",
        "updated_at": "2021-08-17T13:28:57.801578Z"
      },
      "schedule_sync_target_id": "01JXYZ000000000000000000AB",
      "sync_type": "on_call",
      "updated_at": "2021-08-17T13:28:57.801578Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.incident.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

schedule_id
string
required

The schedule to list sync rules for

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: 1 <= x <= 250
Example:

25

after
string

A sync rule's ID. This endpoint will return a list of sync rules after this ID in relation to the API response order.

Example:

"01JXYZ000000000000000000CD"

Response

200 - application/json

OK response.

schedule_sync_rules
object[]
required
Example:
[
{
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01JXYZ000000000000000000CD",
"schedule_id": "01JXYZ000000000000000000EF",
"schedule_sync_target": {
"add_bot_to_group": true,
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01JXYZ000000000000000000AB",
"linked_schedules": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"name": "Primary On-Call Schedule",
"team_ids": ["01JPQA75EPNEES4479P16P4XAB"]
}
],
"slack_team_id": "T02A1AZHG3J",
"slack_user_group_id": "S06MNNU5BMK",
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"schedule_sync_target_id": "01JXYZ000000000000000000AB",
"sync_type": "on_call",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]
pagination_meta
object
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}